declare type AuthData = {
    hassUrl: string;
    clientId: string;
    expires: number;
    refresh_token: string;
    access_token: string;
    expires_in: number;
};
declare type SaveTokensFunc = (data: AuthData) => void;
declare type LoadTokensFunc = () => Promise<AuthData | undefined>;
declare type getAuthOptions = {
    hassUrl?: string;
    clientId?: string;
    redirectUrl?: string;
    saveTokens?: SaveTokensFunc;
    loadTokens?: LoadTokensFunc;
};
export declare class Auth {
    private _saveTokens?;
    data: AuthData;
    constructor(data: AuthData, saveTokens?: SaveTokensFunc);
    readonly wsUrl: string;
    readonly accessToken: string;
    readonly expired: boolean;
    refreshAccessToken(): Promise<void>;
}
export default function getAuth(options?: getAuthOptions): Promise<Auth>;
export {};
